echo off

REM %1 = cd drive,
REM %2 = resource drive

cls

if exist fromhd goto playhd
if exist fromcd goto playcd

echo.
echo Installation incomplete.  Please reinstall from CD.
goto done

:start

echo To set path for resource files, please reinstall from cd.
goto done

:playcd

setpath %1
goto ok

:playhd

setpath %2
goto ok

:ok

setd
setm
cls
echo Harpoon Classic installation complete.
echo.
echo Type "HARPOON" to play Harpoon Classic.
echo.
goto done

:done

if exist fromcd del fromcd > nul:
if exist fromhd del fromhd > nul:
if exist setpath.exe del setpath.exe > nul:

echo.

